Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rubygems/exceptions.rb

Class/Module Index [+]

Quicksearch

Gem::SpecificGemNotFoundException

Raised by the DependencyInstaller when a specific gem cannot be found

Attributes

errors[R]

Errors encountered attempting to find the gem.

name[R]

The name of the gem that could not be found.

version[R]

The version of the gem that could not be found.

Public Class Methods

new(name, version, errors=nil) click to toggle source

Creates a new SpecificGemNotFoundException for a gem with the given name and version. Any errors encountered when attempting to find the gem are also stored.

 
               # File rubygems/exceptions.rb, line 94
def initialize(name, version, errors=nil)
  super "Could not find a valid gem '#{name}' (#{version}) locally or in a repository"

  @name = name
  @version = version
  @errors = errors
end